Bulk update items
curl --request PUT \
--url https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/items \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"updates": [
{
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"payload": {
"name": "clip-001",
"predicted_transcript": "the quick brown fax",
"reference_transcript": "the quick brown fox"
},
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
}
'import requests
url = "https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/items"
payload = { "updates": [
{
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"payload": {
"name": "clip-001",
"predicted_transcript": "the quick brown fax",
"reference_transcript": "the quick brown fox"
},
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"updated_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Annotation tasks
Bulk update items
Bulk-update item payloads in a task
PUT
/
annotation-tasks
/
{task_uuid}
/
items
Bulk update items
curl --request PUT \
--url https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/items \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"updates": [
{
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"payload": {
"name": "clip-001",
"predicted_transcript": "the quick brown fax",
"reference_transcript": "the quick brown fox"
},
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
}
'import requests
url = "https://api.calibrate.artpark.ai/annotation-tasks/{task_uuid}/items"
payload = { "updates": [
{
"uuid": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"payload": {
"name": "clip-001",
"predicted_transcript": "the quick brown fax",
"reference_transcript": "the quick brown fox"
},
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"updated_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
API key for authentication
Path Parameters
Annotation task to act on
Example:
"f47ac10b-58cc-4372-a567-0e02b2c3d479"
Body
application/json
The new payload for each item you're updating. Entries not in this task, or referencing deleted items, are skipped
Show child attributes
Show child attributes
Response
Successful Response
How many items were updated